MPD: Data Fields

MPD 0.20.15

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - l -

- last_error : AudioOutput
- LazyRandomEngine() : LazyRandomEngine
- length() : AllocatedPath
- Length() : FlacInput
- length : MusicChunk , Path , Queue
- LightDirectory() : LightDirectory
- limit : ReplayGainConfig
- line : BlockParam , ConfigBlock , ConfigParam
- link_mode : Directory , Song
- LinkMode : Directory , Song
- List : Directory , MemoryStorageDirectoryReader , NeighborExplorer , NeighborGlue
- listener : Mixer , NeighborExplorer , PlayerControl , playlist
- Literal() : StringView
- LoadFile() : DetachedSong , ExcludeList , Song
- LoadSong() : SongLoader
- LocalRef() : Java::LocalRef< T >
- LocatedUri() : LocatedUri
- lock() : CriticalSection
- Lock() : DecoderControl , InputStream , PlayerControl
- lock() : PosixMutex
- LockAllowPlay() : AudioOutput
- LockApplyBorderPause() : PlayerControl
- LockCancel() : PlayerControl
- LockCancelAsync() : AudioOutput
- LockCheckRethrowError() : DecoderControl , PlayerControl
- LockClearError() : PlayerControl
- LockClose() : HttpdClient
- LockCloseWait() : AudioOutput
- LockCommandFinished() : PlayerControl
- LockCommandWait() : AudioOutput
- LockDeleteDirectory() : DatabaseEditor
- LockDeleteSong() : DatabaseEditor
- LockDrainAsync() : AudioOutput
- LockEnqueueSong() : PlayerControl
- LockGetStatus() : PlayerControl
- LockGuard() : Pulse::LockGuard
- LockHasClients() : HttpdOutput
- LockHasFailed() : DecoderControl
- LockIsChunkConsumed() : AudioOutput
- LockIsCurrentSong() : DecoderControl
- LockIsEOF() : InputStream
- LockIsIdle() : DecoderControl
- LockIsStarting() : DecoderControl
- LockPause() : PlayerControl
- LockPauseAsync() : AudioOutput
- LockPlay() : AudioOutput
- LockRead() : InputStream
- LockReadFull() : InputStream
- LockReadTag() : InputStream
- LockReadTaggedSong() : PlayerControl
- LockRelease() : AudioOutput
- LockRewind() : InputStream
- LockSeek() : InputStream , PlayerControl
- LockSetBorderPause() : PlayerControl
- LockSetOutputError() : PlayerControl
- LockSetPause() : PlayerControl
- LockSetReplayGainMode() : PlayerControl
- LockSetTaggedSong() : PlayerControl
- LockSignal() : PlayerControl
- LockSkip() : InputStream
- LockStop() : PlayerControl
- LockUpdate() : AudioOutput
- LockUpdateAudio() : PlayerControl
- LockWaitOutputConsumed() : PlayerControl
- LockWaitReady() : InputStream
- log_stderr : options
- long_type : SampleTraits< SampleFormat::FLOAT > , SampleTraits< SampleFormat::S16 > , SampleTraits< SampleFormat::S24_P32 > , SampleTraits< SampleFormat::S32 > , SampleTraits< SampleFormat::S8 >
- LookupDirectory() : Directory
- LostNeighbor() : NeighborListener
- LostUPnP() : UPnPDiscoveryListener